Page MenuHomePhabricator

Decommission db1062.eqiad.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission-hardware of server db1062.eqiad.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

db1062

Steps for service owner:

End service owner steps / Begin DC-Ops team steps:

  • - Label disk #0 as broken so it doesn't get re-used
  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks wiped (by onsite) ( removed for shreding)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned. If uncertain, ask @wiki_willy.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 26 2019, 6:52 AM
Marostegui triaged this task as Medium priority.Nov 26 2019, 6:53 AM
Marostegui moved this task from Triage to Next on the DBA board.
Marostegui updated the task description. (Show Details)

Change 552963 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1062: Disable notifications

https://gerrit.wikimedia.org/r/552963

Marostegui updated the task description. (Show Details)Nov 26 2019, 7:13 AM

Change 552963 merged by Marostegui:
[operations/puppet@production] db1062: Disable notifications

https://gerrit.wikimedia.org/r/552963

Marostegui updated the task description. (Show Details)Nov 26 2019, 7:17 AM

Mentioned in SAL (#wikimedia-operations) [2019-12-03T06:07:27Z] <marostegui> Stop MySQL on db1062 for decommissioning T239188

Change 554243 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db1062 from config

https://gerrit.wikimedia.org/r/554243

Marostegui updated the task description. (Show Details)Dec 3 2019, 8:27 AM

Change 554243 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db1062 from config

https://gerrit.wikimedia.org/r/554243

Mentioned in SAL (#wikimedia-operations) [2019-12-03T08:29:15Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db1062 from config T239188 (duration: 01m 08s)

Mentioned in SAL (#wikimedia-operations) [2019-12-03T08:30:25Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db1062 from config T239188 (duration: 01m 02s)

Marostegui moved this task from Next to In progress on the DBA board.Dec 3 2019, 10:25 AM
RobH removed a subscriber: RobH.Dec 3 2019, 5:04 PM

Change 554678 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] instances.yaml: Remove db1062 from config

https://gerrit.wikimedia.org/r/554678

Change 554678 merged by Marostegui:
[operations/puppet@production] instances.yaml: Remove db1062 from config

https://gerrit.wikimedia.org/r/554678

Marostegui updated the task description. (Show Details)Dec 5 2019, 8:07 AM
Marostegui added a subscriber: RobH.

Mentioned in SAL (#wikimedia-operations) [2019-12-05T08:09:11Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Remove db1062 from etcd T239188', diff saved to https://phabricator.wikimedia.org/P9821 and previous config saved to /var/cache/conftool/dbconfig/20191205-080909-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2019-12-10T06:39:14Z] <marostegui> Remove db1062 from tendril and zarcillo T239188

Change 556101 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: db1062 set it to spare

https://gerrit.wikimedia.org/r/556101

Change 556101 merged by Marostegui:
[operations/puppet@production] mariadb: db1062 set it to spare

https://gerrit.wikimedia.org/r/556101

Marostegui updated the task description. (Show Details)Dec 10 2019, 6:45 AM
Marostegui updated the task description. (Show Details)

Change 556317 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove puppet references for db1062

https://gerrit.wikimedia.org/r/556317

Change 556318 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production DNS for db1062

https://gerrit.wikimedia.org/r/556318

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db1062.eqiad.wmnet

  • db1062.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 556317 merged by Marostegui:
[operations/puppet@production] site.pp: Remove puppet references for db1062

https://gerrit.wikimedia.org/r/556317

Change 556318 merged by Marostegui:
[operations/dns@master] wmnet: Remove production DNS for db1062

https://gerrit.wikimedia.org/r/556318

Marostegui edited projects, added decommission-hardware, ops-eqiad, DC-Ops; removed DBA.
Marostegui updated the task description. (Show Details)
Restricted Application added a project: Operations. · View Herald TranscriptDec 11 2019, 6:12 AM

Host ready for on-site steps

wiki_willy moved this task from Backlog to Decommission on the ops-eqiad board.Dec 28 2019, 9:06 PM
Jclark-ctr updated the task description. (Show Details)Feb 5 2020, 9:50 PM
RobH removed a subscriber: RobH.Feb 5 2020, 9:54 PM

No interface on any switch showing this server

Papaul updated the task description. (Show Details)Mar 19 2020, 3:25 PM
Papaul added a subscriber: RobH.
Papaul closed this task as Resolved.Mar 20 2020, 3:26 PM
Papaul updated the task description. (Show Details)

complete